Create Mcp Server
curl --request POST \
--url https://api.example.com/api/mcp/servers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"transport": "<string>",
"config": {},
"description": "<string>",
"is_active": true
}
'import requests
url = "https://api.example.com/api/mcp/servers"
payload = {
"name": "<string>",
"transport": "<string>",
"config": {},
"description": "<string>",
"is_active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
transport: '<string>',
config: {},
description: '<string>',
is_active: true
})
};
fetch('https://api.example.com/api/mcp/servers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"user_id": 123,
"name": "<string>",
"transport": "<string>",
"description": "<string>",
"config": {},
"is_active": true,
"is_default": true,
"transport_display": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"connected_account": "<string>",
"app_id": "<string>",
"provider": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}MCP
Create Mcp Server
Create a new MCP server.
POST
/
api
/
mcp
/
servers
Create Mcp Server
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Request model for creating MCP server.
Server name
Required string length:
1 - 100Transport type (stdio, sse, websocket, streamable_http)
Transport-specific configuration
Server description
Whether the server is active
Response
Successful Response
Response model for MCP server.
⌘I

